Subject: Re: [PATCH] IIO: stm32: Remove quadrature related functions from trigger driver

From: Jonathan Cameron <[email-masked]>
Date: Sun, 14 Jul 2019 11:09:01 +0100

On Thu, 11 Jul 2019 21:16:20 +0900
William Breathitt Gray <[email-masked]> wrote:

> On Thu, Jul 11, 2019 at 02:12:27PM +0200, Benjamin Gaignard wrote:
> > Le jeu. 11 juil. 2019 à 13:51, William Breathitt Gray
> > <[email-masked]> a écrit :  
> > >
> > > On Tue, May 07, 2019 at 11:12:24AM +0200, Benjamin Gaignard wrote:  
> > > > Quadrature feature is now hosted on it own framework.
> > > > Remove quadrature related code from stm32-trigger driver to avoid
> > > > code duplication and simplify the ABI.
> > > >
> > > > Signed-off-by: Benjamin Gaignard <[email-masked]>  
> > >
> > > What is the status of this patch? Are there any objections currently for
> > > its inclusion?  
> > 
> > You were the only one asking for more details about it :-)
> > If you agree I think that Jonathan can merge it.
> > 
> > Benjamin  
> > >
> > > William Breathitt Gray
> > >
> > > _______________________________________________
> > > linux-arm-kernel mailing list
> > > [email-masked]
> > > http://lists.infradead.org/mailman/listinfo/linux-arm-kernel  
> 
> Yes, Jonathan please merge this if you have no objections, I hadn't
> realized I was delaying it.
> 
> Thank you,
> 
> William Breathitt Gray
One last thing...  This seems to be a userspace ABI change.  What
are our potential issues with users of this ABI?

It's not that costly to keep the code, though dropping the docs or
putting a depreciated note in them is probably a good idea.  Hence
I'm not totally convinced the risk of a regression is worth it.

If we think it's the sort of change no one will notice, then
fair enough we'll give it a go and cross our fingers.

Thanks,

Jonathan

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel